%define httpd_conf /etc/httpd/conf.d
%define plugin_dir %{_libdir}/dirsrv/plugins
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define POLICYCOREUTILSVER 1.33.12-1
%define RELEASETAG b

Name:           ipa
Version:        1.0.0
Release:        17%{?date}%{?dist}
Summary:        The Identity, Policy and Audit system

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.freeipa.org/
Source0:        freeipa-%{version}%{RELEASETAG}.tar.gz
Source1:        logo.png
Source2:        EULA.txt
Patch1:         freeipa-noradius.patch
Patch2:         freeipa-branding.patch
Patch3:         freeipa-named_conf.patch
Patch4:         freeipa-caching-nameserver.patch
Patch5:         freeipa-man.patch
Patch6:         freeipa-replica-default.patch
Patch7:         freeipa-noinit.patch
Patch8:         freeipa-index.patch
Patch9:         freeipa-nssperms.patch
Patch10:        freeipa-nokrb4.patch
Patch11:        freeipa-kpasswdnull.patch
Patch12:        freeipa-dsrealmname.patch
Patch13:        freeipa-delgroup.patch
Patch14:        freeipa-adminacl.patch
Patch15:        freeipa-pkcs12.patch

# This patch was hand-made. The patch 2301f606528e731c831d02a58a0d4914dbb662ba
# didn't apply cleanly to ipa-1-0 so I hand copied the files and did a local
# commit to generate the patch.
Patch16:        freeipa-rebase-memberof.patch

Patch17:        freeipa-skip-unsigned.patch
Patch18:        freeipa-ignore-header.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if "0%{?el5}"
BuildRequires:  redhat-ds-base-devel >= 8.0
%else
BuildRequires:  fedora-ds-base-devel >= 1.1
%endif
BuildRequires:  mozldap-devel
BuildRequires:  openssl-devel
BuildRequires:  openldap-devel
BuildRequires:  krb5-devel
BuildRequires:  nss-devel
BuildRequires:  libcap-devel
BuildRequires:  python-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  TurboGears
%if "0%{?fc7}%{?el5}"
BuildRequires:  popt
%else
BuildRequires:  popt-devel
%endif
BuildRequires:  selinux-policy-devel >= 2.4.6-134
BuildRequires:  m4
BuildRequires:  policycoreutils >= %{POLICYCOREUTILSVER}

%description
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof).

%package server
Summary: The IPA authentication server
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: %{name}-client = %{version}-%{release}
Requires: %{name}-admintools = %{version}-%{release}
Requires(post): %{name}-server-selinux = %{version}-%{release}
%if "0%{?el5}"
Requires:  redhat-ds-base >= 8.0
%else
Requires:  fedora-ds-base >= 1.1
%endif
Requires: openldap-clients
Requires: nss
Requires: nss-tools
Requires: krb5-server >= 1.6.1-18
Requires: krb5-server-ldap >= 1.6.1-18
Requires: cyrus-sasl-gssapi
Requires: ntp
Requires: httpd
Requires: mod_python
Requires: mod_auth_kerb
%if "0%{?el5}"
Requires: mod_nss >= 1.0.3-5
%else
Requires: mod_nss >= 1.0.7-2
%endif
Conflicts: mod_ssl
Requires: python-ldap
Requires: python-krbV
Requires: TurboGears
Requires: python-tgexpandingformwidget
Requires: acl
Requires: python-pyasn1
Requires: libcap
Requires: selinux-policy >= 2.4.6-134
Requires(post): selinux-policy-base

%description server
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).


%package server-selinux
Summary: SELinux rules for ipa-server daemons
Group: System Environment/Base
Requires: %{name}-server = %{version}-%{release}
Requires(pre): policycoreutils >= %{POLICYCOREUTILSVER} libsemanage

%description server-selinux
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides SELinux rules for the
daemons included in ipa-server


%package client
Summary: IPA authentication for use on clients
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: python-ldap
Requires: python-krbV
Requires: cyrus-sasl-gssapi
Requires: ntp
Requires: krb5-workstation
Requires: krb5-libs
Requires: authconfig
Requires: pam_krb5
Requires: nss_ldap

%description client
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If your network uses IPA for authentication,
this package should be installed on every client machine.


%package admintools
Summary: IPA administrative tools
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: python-krbV
Requires: python-ldap
Requires: python-configobj

%description admintools
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides command-line tools for
IPA administrators.

%package python
Summary: Python libraries used by IPA
Group: System Environment/Libraries
Requires: python-kerberos

%description python
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are using IPA you need to install this
package.

%prep
%setup -n freeipa-%{version} -q
%patch1 -p1 -b noradius
%patch2 -p1 -b branding
%patch3 -p1 -b named_conf
%patch4 -p1 -b caching_nameserver
%patch5 -p1 -b man
%patch6 -p1 -b replica-default
%patch7 -p1 -b noinit
%patch8 -p1 -b index
%patch9 -p1 -b nssperms
%patch10 -p1 -b nokrb4
%patch11 -p1 -b kpasswdnull
%patch12 -p1 -b dsrealm
%patch13 -p1 -b delgroupo
%patch14 -p1 -b adminacl
%patch15 -p1 -b pkcs12
%patch16 -p1 -b rebase-memberof
%patch17 -p1 -b skip-unsigned
%patch18 -p1 -b ignore-header

%build
cd ipa-server; ./autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..
cd ipa-client; ./autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..

make IPA_VERSION_IS_GIT_SNAPSHOT=no %{?_smp_mflags} version-update all
cd ipa-server/selinux
# This isn't multi-process make capable yet
make TYPE=targeted-mcs all

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd ipa-server/selinux
make TYPE=targeted-mcs install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files from libtool - we don't want to package
# these files
rm %{buildroot}/%{plugin_dir}/libipa_pwd_extop.la
rm %{buildroot}/%{plugin_dir}/libipa-memberof-plugin.la
rm %{buildroot}/%{plugin_dir}/libipa-dna-plugin.la

# Some user-modifiable HTML files are provided. Move these to /etc
# and link back.
mkdir -p %{buildroot}/%{_sysconfdir}/ipa/html
mkdir -p %{buildroot}/%{_localstatedir}/cache/ipa/sysrestore
mkdir -p %{buildroot}/%{_localstatedir}/lib/ipa-client/sysrestore
mv %{buildroot}/%{_usr}/share/ipa/html/ssbrowser.html %{buildroot}/%{_sysconfdir}/ipa/html
mv %{buildroot}/%{_usr}/share/ipa/html/unauthorized.html %{buildroot}/%{_sysconfdir}/ipa/html
ln -s ../../../..%{_sysconfdir}/ipa/html/ssbrowser.html \
    %{buildroot}%{_usr}/share/ipa/html/ssbrowser.html
ln -s ../../../..%{_sysconfdir}/ipa/html/unauthorized.html \
    %{buildroot}%{_usr}/share/ipa/html/unauthorized.html

cp %SOURCE1 %{buildroot}%{_usr}/share/ipa/ipagui/static/images/branding/logo.png
cp %SOURCE1 %{buildroot}%{_usr}/share/ipa/ipagui/static/images/logo.png

perl -pi -e "s/Free IPA/Red Hat Enterprise IPA/" %{buildroot}%{_usr}/share/ipa/ipagui/templates/welcome.kid

cp %SOURCE2 $RPM_BUILD_DIR/freeipa-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post server
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ipa_kpasswd
    /sbin/chkconfig --add ipa_webgui
fi
/bin/touch /var/log/ipa_error.log
/bin/chown apache /var/log/ipa_error.log
/bin/chmod 600 /var/log/ipa_error.log
restorecon /var/log/ipa_error.log

%preun server
if [ $1 = 0 ]; then
    /sbin/chkconfig --del ipa_kpasswd
    /sbin/chkconfig --del ipa_webgui
    /sbin/service ipa_kpasswd stop >/dev/null 2>&1 || :
    /sbin/service ipa_webgui stop >/dev/null 2>&1 || :
fi

%postun server
if [ "$1" -ge "1" ]; then
    /sbin/service ipa_kpasswd condrestart >/dev/null 2>&1 || :
    /sbin/service ipa_webgui condrestart >/dev/null 2>&1 || :
fi

%pre server-selinux
if [ -s /etc/selinux/config ]; then
       . %{_sysconfdir}/selinux/config
       FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
       if [ "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT} ]; then \
               cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.%{name}
       fi
fi

%post server-selinux
semodule -s targeted -i /usr/share/selinux/targeted/ipa_webgui.pp /usr/share/selinux/targeted/ipa_kpasswd.pp
. %{_sysconfdir}/selinux/config
FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
selinuxenabled
if [ $? == 0  -a "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT}.%{name} ]; then 
       fixfiles -C ${FILE_CONTEXT}.%{name} restore > /dev/null 2>&1 || :
       rm -f ${FILE_CONTEXT}.%name
fi

%preun server-selinux
if [ $1 = 0 ]; then
if [ -s /etc/selinux/config ]; then
       . %{_sysconfdir}/selinux/config
       FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
       if [ "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT} ]; then \
               cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.%{name}
       fi
fi
fi

%postun server-selinux
if [ $1 = 0 ]; then
semodule -s targeted -r ipa_webgui ipa_kpasswd
. %{_sysconfdir}/selinux/config
FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
selinuxenabled
if [ $? == 0  -a "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT}.%{name} ]; then 
       fixfiles -C ${FILE_CONTEXT}.%{name} restore > /dev/null 2>&1 || :
       rm -f ${FILE_CONTEXT}.%name
fi
fi

%files server
%doc LICENSE README EULA.txt
%defattr(-,root,root,-)
%{_sbindir}/ipa-server-install
%{_sbindir}/ipa-replica-install
%{_sbindir}/ipa-replica-prepare
%{_sbindir}/ipa-replica-manage
%{_sbindir}/ipa-server-certinstall
%{_sbindir}/ipa_kpasswd
%{_sbindir}/ipa_webgui
%{_sbindir}/ipactl
%{_sbindir}/ipa-upgradeconfig
%attr(755,root,root) %{_initrddir}/ipa_kpasswd
%attr(755,root,root) %{_initrddir}/ipa_webgui
%dir %{_usr}/share/ipa
%{_usr}/share/ipa/*.ldif
%{_usr}/share/ipa/*.template
%dir %{_usr}/share/ipa/html
%{_usr}/share/ipa/html/ssbrowser.html
%{_usr}/share/ipa/html/unauthorized.html
%dir %{_sysconfdir}/ipa
%dir %{_sysconfdir}/ipa/html
%config(noreplace) %{_sysconfdir}/ipa/html/ssbrowser.html
%config(noreplace) %{_sysconfdir}/ipa/html/unauthorized.html
%{_usr}/share/ipa/ipa_webgui.cfg
%{_usr}/share/ipa/ipa.conf
%{_usr}/share/ipa/ipa-rewrite.conf
%dir %{_usr}/share/ipa/ipagui
%{_usr}/share/ipa/ipagui/*
%dir %{_usr}/share/ipa/ipa_gui.egg-info
%{_usr}/share/ipa/ipa_gui.egg-info/*
%dir %{_usr}/share/ipa/ipaserver
%{_usr}/share/ipa/ipaserver/*
%dir %{_usr}/share/ipa/locales/
%{_usr}/share/ipa/locales/*
%attr(755,root,root) %{plugin_dir}/libipa_pwd_extop.so
%attr(755,root,root) %{plugin_dir}/libipa-memberof-plugin.so
%attr(755,root,root) %{plugin_dir}/libipa-dna-plugin.so
%dir %{_localstatedir}/lib/ipa
%attr(700,root,root) %dir %{_localstatedir}/lib/ipa/sysrestore
%dir %{_localstatedir}/cache/ipa
%attr(700,root,root) %dir %{_localstatedir}/cache/ipa/kpasswd
%attr(700,apache,apache) %dir %{_localstatedir}/cache/ipa/sessions
%dir %{python_sitelib}/ipaserver
%{python_sitelib}/ipaserver/*.py*
%{_mandir}/man1/ipa-replica-install.1.gz
%{_mandir}/man1/ipa-replica-manage.1.gz
%{_mandir}/man1/ipa-replica-prepare.1.gz
%{_mandir}/man1/ipa-server-certinstall.1.gz
%{_mandir}/man1/ipa-server-install.1.gz
%{_mandir}/man8/ipa_kpasswd.8.gz
%{_mandir}/man8/ipa_webgui.8.gz
%{_mandir}/man8/ipactl.8.gz


%files server-selinux
%{_usr}/share/selinux/targeted/ipa_webgui.pp
%{_usr}/share/selinux/targeted/ipa_kpasswd.pp


%files client
%doc LICENSE README
%{_sbindir}/ipa-client-install
%{_sbindir}/ipa-getkeytab
%dir %{_usr}/share/ipa
%dir %{_usr}/share/ipa/ipaclient
%dir %{_localstatedir}/lib/ipa-client
%dir %{_localstatedir}/lib/ipa-client/sysrestore
%{_usr}/share/ipa/ipaclient/ipa.cfg
%{_usr}/share/ipa/ipaclient/ipa.js
%dir %{python_sitelib}/ipaclient
%{python_sitelib}/ipaclient/*.py*
%{_mandir}/man1/ipa-getkeytab.1.gz
%{_mandir}/man1/ipa-client-install.1.gz


%files admintools
%doc LICENSE README
%defattr(-,root,root,-)
%{_sbindir}/ipa-adddelegation
%{_sbindir}/ipa-addgroup
%{_sbindir}/ipa-addservice
%{_sbindir}/ipa-adduser
%{_sbindir}/ipa-deldelegation
%{_sbindir}/ipa-delgroup
%{_sbindir}/ipa-delservice
%{_sbindir}/ipa-deluser
%{_sbindir}/ipa-findgroup
%{_sbindir}/ipa-findservice
%{_sbindir}/ipa-finduser
%{_sbindir}/ipa-modgroup
%{_sbindir}/ipa-listdelegation
%{_sbindir}/ipa-lockuser
%{_sbindir}/ipa-moddelegation
%{_sbindir}/ipa-passwd
%{_sbindir}/ipa-pwpolicy
%{_sbindir}/ipa-moduser
%{_mandir}/man1/ipa-adddelegation.1.gz
%{_mandir}/man1/ipa-addgroup.1.gz
%{_mandir}/man1/ipa-addservice.1.gz
%{_mandir}/man1/ipa-adduser.1.gz
%{_mandir}/man1/ipa-deldelegation.1.gz
%{_mandir}/man1/ipa-delgroup.1.gz
%{_mandir}/man1/ipa-delservice.1.gz
%{_mandir}/man1/ipa-deluser.1.gz
%{_mandir}/man1/ipa-findgroup.1.gz
%{_mandir}/man1/ipa-findservice.1.gz
%{_mandir}/man1/ipa-finduser.1.gz
%{_mandir}/man1/ipa-modgroup.1.gz
%{_mandir}/man1/ipa-listdelegation.1.gz
%{_mandir}/man1/ipa-lockuser.1.gz
%{_mandir}/man1/ipa-moddelegation.1.gz
%{_mandir}/man1/ipa-passwd.1.gz
%{_mandir}/man1/ipa-pwpolicy.1.gz
%{_mandir}/man1/ipa-moduser.1.gz

%files python
%doc LICENSE README
%defattr(-,root,root,-)
%dir %{python_sitelib}/ipa
%{python_sitelib}/ipa/*.py*
%if "0%{?fedora}" >= "9"
%{python_sitelib}/ipa-*.egg-info
%endif
%config(noreplace) %{_sysconfdir}/ipa/ipa.conf

%changelog
* Mon Jul 28 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-17
- NSS 3.11.99 and NSS 3.12 include a header in certutil output. Skip it. (#456694)
- If the Firefox autoconfiguration jar has not been signed don't include it in replicas. (#452402)

* Thu Jul 17 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-16
- ipa-server-install fails due to rpcbind taking 750/udp (451936)
- Not easily reproduceable crash in password change (453185)
- ldapadd: need acl for add operation (451889)
- ipa-server-certinstall - Directory name error (451014)
- ipa-server-certinstall for httpd problem (451098)
- ipa-replica-prepare assumes self-signed certificate (452402)
- "ipa-delgroup it" gets confused with group "editors" (453222)
- Infinite recursion in memberof plug-in (452537)

* Thu Jun 12 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-15
- Patch for indexing uidnumber and gidnumber
- Patch to change DNA default values for replicas
- Patch to fix uninitialized variable in ipa-getkeytab (454873)

* Thu Jun 12 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-14
- Updated man page patch

* Wed Jun 11 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-13
- Update upstream tarball
- Rebrand man pages

* Wed Jun 11 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-12
- Respin for new EULA

* Wed Jun 11 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-11
- Some minor build changes

* Thu May 29 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-10
- caching-nameserver is required for bind to be set up by IPA (428436)

* Fri May 23 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-9
- Add python-configobj as a dependency on ipa-admintools

* Mon May 19 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-8
- Include patch to fix up the IPA named.conf template to work on el5

* Thu May 15 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-7
- No need for the domain fix patch, removing.
- Add  selinux-policy-base(post) to Requires

* Mon Apr 28 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-6
- Add EULA

* Tue Apr 22 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-5
- Fix domain/realm mapping on client (442608)

* Mon Apr 21 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-4
- Fix branding issue

* Mon Apr 21 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-3
- Update selinux-policy dependency to 2.4.6-134

* Fri Apr 18 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-2
- Update selinux-policy dependency to 2.4.6-133

* Wed Apr 16 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-1
- Update to upstream 1.0.0

* Mon Apr  7 2008 Rob Crittenden <rcritten@redhat.com> - 0.99-24
- Run restorecon on /var/log/ipa_error.log to ensure correct selinux context
- Add (post) to ipa-server-selinux Requires

* Tue Apr  1 2008 Rob Crittenden <rcritten@redhat.com 0.99-23
- Add %{_localstatedir}/cache/ipa/kpasswd which is used to store
  credentials caches by ipa_kpasswd

* Mon Mar 31 2008 Rob Crittenden <rcritten@redhat.com> 0.99-22
- Fixed sysrestore directories in server and client

* Mon Mar 31 2008 Rob Crittenden <rcritten@redhat.com> 0.99-21
- Add Requires for ntp, krb5-workstation, krb5-libs, authconfig, pam_krb5
  and nss_ldap to client
- Make %{_localstatedir}/cache/ipa/sysrestore

* Thu Mar 27 2008 Rob Crittenden <rcritten@redhat.com> 0.99-20
- Add Requires for selinux-policy on server
- Add Requires for python-ldap on admintools

* Tue Mar 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-19
- Add some missing man pages

* Tue Mar  4 2008 Rob Crittenden <rcritten@redhat.com> 0.99-18
- Include some branding

* Mon Mar  3 2008 Rob Crittenden <rcritten@redhat.com> 0.99-17
- Add TYPE=targeted-mcs so ipa-server-selinux is built properly.
- Redirect output from fixfiles to /dev/null
- Package /usr/sbin/ipactl

* Mon Feb 22 2008 Rob Crittenden <rcritten@redhat.com> 0.99-16
- Add ipa-pwpolicy command and man page
- Move ipa-getkeytab man page from ipa-admintools to ipa-client

* Wed Feb 20 2008 Rob Crittenden <rcritten@redhat.com> 0.99-15
- Create new ipa-server-selinux package

* Tue Feb 19 2008 Rob Crittenden <rcritten@redhat.com> 0.99-14
- Include i18n files

* Fri Feb  8 2008 Rob Crittenden <rcritten@redhat.com> 0.99-13
- Include some missing admin tools: ipa-delservice & ipa-findservice
- Include some missing man pages: ipa-addservice.1, ipa-delservice.1,
  ipa-findservice.1

* Wed Feb  6 2008 Rob Crittenden <rcritten@redhat.com> 0.99-12
- Require a minimum version of krb5-server that fixes spnego (431791)

* Wed Feb  6 2008 Rob Crittenden <rcritten@redhat.com> 0.99-11
- Remove the radius packages

* Mon Feb  4 2008 Rob Crittenden <rcritten@redhat.com> 0.99-10
- Ensure that /var/log/ipa_error.log exists and has correct permissions.

* Wed Jan 30 2008 Rob Crittenden <rcritten@redhat.com> 0.99-9
- Previous change accidentally replaced a Requires with a 
  BuildRequires for the directory server.

* Wed Jan 30 2008 Rob Crittenden <rcritten@redhat.com> 0.99-8
- Build against redhat-ds-base-devel instead of fedora-ds-base-devel

* Tue Jan 29 2008 Rob Crittenden <rcritten@redhat.com> 0.99-7
- Ensure that /etc/ipa exists before moving user-modifiable html files there
- Put html files into /etc/ipa/html instead of /etc/ipa

* Mon Jan 28 2008 Rob Crittenden <rcritten@redhat.com> 0.99-6
- Pull upstream 608 which renamed several files

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-5
- package the sessions dir /var/cache/ipa/sessions
- Pull upstream 597

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-4
- Updated upstream pull (596) to fix bug in ipa_webgui that was causing the
  UI to not start.

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-3
- Included LICENSE and README in all packages for documentation
- Move user-modifiable content to /etc/ipa and linked back to 
  /usr/share/ipa/html
- Changed some references to /usr to the {_usr} macro and /etc
  to {_sysconfdir}
- Added popt-devel to BuildRequires for Fedora 8 and higher and
  popt for Fedora 7
- Package the egg-info for Fedora 9 and higher for ipa-python

* Tue Jan 22 2008 Rob Crittenden <rcritten@redhat.com> 0.99-2
- Added auto* BuildRequires

* Mon Jan 21 2008 Rob Crittenden <rcritten@redhat.com> 0.99-1
- Unified spec file

* Thu Jan 17 2008 Rob Crittenden <rcritten@redhat.com> - 0.6.0-2
- Fixed License in specfile
- Include files from /usr/lib/python*/site-packages/ipaserver

* Fri Dec 21 2007 Karl MacMillan <kmacmill@redhat.com> - 0.6.0-1
- Version bump for release

* Wed Nov 21 2007 Karl MacMillan <kmacmill@mentalrootkit.com> - 0.5.0-1
- Preverse mode on ipa-keytab-util
- Version bump for relase and rpm name change

* Thu Nov 15 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.1-2
- Broke invididual Requires and BuildRequires onto separate lines and
  reordered them
- Added python-tgexpandingformwidget as a dependency
- Require at least fedora-ds-base 1.1

* Thu Nov  1 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.1-1
- Version bump for release

* Wed Oct 31 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-6
- Add dep for freeipa-admintools and acl

* Wed Oct 24 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.0-5
- Add dependency for python-krbV

* Fri Oct 19 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.0-4
- Require mod_nss-1.0.7-2 for mod_proxy fixes

* Thu Oct 18 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-3
- Convert to autotools-based build

* Tue Sep 25 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-2
  
* Fri Sep 7 2007 Karl MacMillan <kmacmill@redhat.com> - 0.3.0-1
- Added support for libipa-dna-plugin

* Fri Aug 10 2007 Karl MacMillan <kmacmill@redhat.com> - 0.2.0-1
- Added support for ipa_kpasswd and ipa_pwd_extop

* Mon Aug  5 2007 Rob Crittenden <rcritten@redhat.com> - 0.1.0-3
- Abstracted client class to work directly or over RPC

* Wed Aug  1 2007 Rob Crittenden <rcritten@redhat.com> - 0.1.0-2
- Add mod_auth_kerb and cyrus-sasl-gssapi to Requires
- Remove references to admin server in ipa-server-setupssl
- Generate a client certificate for the XML-RPC server to connect to LDAP with
- Create a keytab for Apache
- Create an ldif with a test user
- Provide a certmap.conf for doing SSL client authentication

* Fri Jul 27 2007 Karl MacMillan <kmacmill@redhat.com> - 0.1.0-1
- Initial rpm version
